{
  "ash" : {
    "generateResource" : "Y"
  },
  "attributes" : [
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "_rowid",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "actionItemID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "actionSetID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "actionSetID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "actionType",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "actionType",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "assignToUserID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "assignToUserID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "billingRateID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "billingRateID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "categoryID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "categoryID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "dueOffset",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "dueOffset",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "dueSkipRule",
      "externalType" : "char",
      "name" : "dueSkipRule",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "durationMinutes",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "durationMinutes",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "name",
      "externalType" : "char",
      "name" : "name",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "ordering",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "order",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "remindBeforeMinutes",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "remindBeforeMinutes",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "remindHour",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "remindHour",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "remindMinutes",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "remindMinutes",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "startHour",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "startHour",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "startMinutes",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "startMinutes",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "startOffset",
      "externalType" : "longlong",
      "name" : "startOffset",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "startSkipRule",
      "externalType" : "char",
      "name" : "startSkipRule",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "useReminder",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "useReminder",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "reverse",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "reverse",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "details",
      "externalType" : "char",
      "name" : "details",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "location",
      "externalType" : "char",
      "name" : "location",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "typeCode",
      "defaultValue" : "-1",
      "externalType" : "int",
      "name" : "typeCode",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "statusCode",
      "defaultValue" : "-1",
      "externalType" : "int",
      "name" : "statusCode",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "taskPriority",
      "defaultValue" : "-1",
      "externalType" : "int",
      "name" : "taskPriority",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "taskEstimatedTime",
      "defaultValue" : "0",
      "externalType" : "double",
      "name" : "taskEstimatedTime",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "timeblockBusyCode",
      "defaultValue" : "1",
      "externalType" : "int",
      "name" : "timeblockBusyCode",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "timeblockAllDay",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "timeblockAllDay",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionUserID",
      "externalType" : "int",
      "isIndexed" : "Y",
      "name" : "deletionUserID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionDate",
      "externalType" : "datetime",
      "isIndexed" : "Y",
      "name" : "deletionDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionIdentifier",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "deletionIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : 255
    }
  ],
  "className" : "GWActionItem",
  "classProperties" : [
    "actionItemID",
    "actionSetID",
    "actionType",
    "assignToUserID",
    "billingRateID",
    "categoryID",
    "dueOffset",
    "dueSkipRule",
    "durationMinutes",
    "name",
    "order",
    "remindBeforeMinutes",
    "remindHour",
    "remindMinutes",
    "startHour",
    "startMinutes",
    "startOffset",
    "startSkipRule",
    "useReminder",
    "reverse",
    "details",
    "location",
    "typeCode",
    "statusCode",
    "taskPriority",
    "taskEstimatedTime",
    "timeblockBusyCode",
    "timeblockAllDay",
    "deletionUserID",
    "deletionDate",
    "deletionIdentifier",
    "actionSet",
    "assignToUser",
    "billingRate",
    "category",
    "actionItemKeywords",
    "keywords"
  ],
  "domain" : "Activities",
  "externalName" : "ActionItem",
  "fetchSpecificationDictionary" : {

  },
  "isDatabasePreference" : true,
  "isTrashable" : true,
  "name" : "ActionItem",
  "primaryKeyAttributes" : [
    "actionItemID"
  ],
  "record" : {
    "allowsRecord" : "Y",
    "isDirectlyUpdatable" : "Y"
  },
  "relationships" : [
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "ActionSet",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "actionSetID",
          "sourceAttribute" : "actionSetID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "actionSet",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "User",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "assignToUserID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "assignToUser",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "BillingRate",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "billingRateID",
          "sourceAttribute" : "billingRateID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "billingRate",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Category",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "categoryID",
          "sourceAttribute" : "categoryID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "category",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "KeywordActionItemJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "actionItemID",
          "sourceAttribute" : "actionItemID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "actionItemKeywords",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "actionItemKeywords.keyword",
      "deleteRule" : "EODeleteRuleNullify",
      "destination" : "Keyword",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "keywords",
      "ownsDestination" : "N",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    }
  ],
  "supportedPlatforms" : "MCPSupportedPlatformsAll",
  "supportsPermissions" : false,
  "uniqueIdentifier" : "2"
}